Subject: Re: Git-aware HTTP transport

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 28 Aug 2008 10:46:42 -0700

"H. Peter Anvin" <[email-masked]> wrote:
> Shawn O. Pearce wrote:
>>
>> Should I change the HTTP protocol then to use the same format,
>> so they have a better chance at sharing code between them?
>>
>
> I leave that up to you and Junio.  My feel would that it's not worth  
> optimizing the HTTP protocol separately.

Yea, I'm leaning towards just keeping them the same.  I may be
able to reuse a lot of code in JGit that way.  In C Git its going
to take some refactoring to disentagle the IO parts of fetch-pack
from the protocol, but I should be able to reuse a lot there too.

-- 
Shawn.